'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = findKey;

var _immutable = require('immutable');

function findKey(object, predicate) {
  var resultKey = void 0;

  if (_immutable.List.isList(object)) {
    resultKey = object.findKey(predicate);
  } else {
    Object.keys(object).some(function (key) {
      var isKey = predicate(object[key], key, object);

      if (isKey) {
        resultKey = key;
        return true;
      }

      return false;
    });
  }

  return resultKey;
}